Really Slick ScreenSavers(1)

NAME
skyrocket - fireworks show.

SYNOPSIS
skyrocket [--root/-r] [--maxfps/-x number] [--vsync/-y number] [--dpms/-M number] [--maxrockets/-m number] [--smoke/-s number] [--explosionsmoke/-S number] [--wind/-w number] [--ambient/-a number] [--stardensity/-d number] [--flare/-f number] [--moonglow/-g number] [--volume/-v number] [--moon/-o] [--no-moon/-O] [--clouds/-c] [--no-clouds/-C] [--earth/-e] [--no-earth/-E] [--illumination/-i] [--no-illumination/-I]

DESCRIPTION
From Terry Walsh (http://reallyslick.com): "The most full-blown fireworks screensaver ever. It has bright lights, smoke trails, clouds that are illuminated by the explosions, sound effects, and plenty of other eye candy. I hope you have a powerful graphics card."

Ported to Linux by Tugrul Galatali.

OPTIONS

--root
    Draw on the root window.

--maxfps number
    Set maximum frame rate.

--vsync number
    Limit redraws to specified number of vertical refreshes. 0 - 100. Default: 1

--dpms number
    Stop rendering new frames if the display is not on. 0 - 1. Default: 1

--maxrockets number
    Maximum number of rockets. 1 - 100. Default: 8

--smoke number
    Smoke lifespan (in seconds). 0 - 60. Default: 5

--explosionsmoke number
    Amount of smoke in explosions (This will create an insane number of particles). 0 - 100. Default: 0

--wind number
    Wind speed. 0 - 100. Default: 20

--ambient number
    Ambient light. 0 - 100. Default: 10

--stardensity number
    Star density. 0 - 100. Default: 20

--flare number
    Lens flare brightness. 0 - 100. Default: 20

--moonglow number
    Moon glow brightness. 0 - 100. Default: 20

--volume number
    Sound effects volume. 0 - 100. Default: 100

--moon
    Show moon. Default: True

--clouds
    Show clouds. Default: True

--earth
    Show earth. Default: True

--illumination
    Show illumination (on clouds and earth). Default: True

ENVIRONMENT

DISPLAY
    to get the default host and display number.

SEE ALSO
X(1),

COPYRIGHT
Copyright © 2002 by Terry Walsh and Tugrul Galatali.

Skyrocket is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published by the Free Software Foundation.

Skyrocket is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

AUTHOR
Terry Walsh and Tugrul Galatali <tugrul@galatali.com>